<template>
  <aside>
    <rui-list-item v-for="patch in patches" :key="patch.id" :caption="patch.displayName" @choose="$emit('choose', patch)" />
  </aside>
</template>

<script>
import RuiListItem from '@experiments-labs/rise_ui/src/components/ListItem/ListItem.vue'

export default {
  name: 'GpaPatchSelector',
  emits: [
    'choose',
  ],
  components: { RuiListItem },
  computed: {
    patches () { return this.$store.getters.patches },
  },
}
</script>
